# Uses of Interface
org.jfree.chart3d.axis.CategoryAxis3D

Packages that use CategoryAxis3D
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of CategoryAxis3D in org.jfree.chart3d.axis

Classes in org.jfree.chart3d.axis that implement CategoryAxis3D
Modifier and Type
Class
Description
`class`
`StandardCategoryAxis3D`
An axis that displays categories.

## Uses of CategoryAxis3D in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return CategoryAxis3D
Modifier and Type
Method
Description
`CategoryAxis3D`
CategoryPlot3D.`getColumnAxis()`
Returns the column axis.
`CategoryAxis3D`
CategoryPlot3D.`getRowAxis()`
Returns the row axis.
Methods in org.jfree.chart3d.plot with parameters of type CategoryAxis3D
Modifier and Type
Method
Description
`void`
CategoryPlot3D.`setColumnAxis(CategoryAxis3D axis)`
Sets the column axis and sends a `Plot3DChangeEvent` to all registered listeners.
`void`
CategoryPlot3D.`setRowAxis(CategoryAxis3D axis)`
Sets the row axis and sends a `Plot3DChangeEvent` to all registered listeners.
Constructors in org.jfree.chart3d.plot with parameters of type CategoryAxis3D
Modifier
Constructor
Description
``
`CategoryPlot3D(CategoryDataset3D dataset, CategoryRenderer3D renderer, CategoryAxis3D rowAxis, CategoryAxis3D columnAxis, ValueAxis3D valueAxis)`
Creates a new plot with the supplied dataset, renderer and axes.

## Uses of CategoryAxis3D in org.jfree.chart3d.style

Methods in org.jfree.chart3d.style with parameters of type CategoryAxis3D
Modifier and Type
Method
Description
`protected void`
ChartStyler.`styleCategoryAxis(CategoryAxis3D axis)`
Applies the current style to a category axis.